org.apache.lucene.codecs.idversion

## Class VersionBlockTreeTermsReader

- java.lang.Object
- - org.apache.lucene.index.Fields
  - - org.apache.lucene.codecs.FieldsProducer
    - - org.apache.lucene.codecs.idversion.VersionBlockTreeTermsReader

All Implemented Interfaces:
  Closeable, AutoCloseable, Iterable<String>, Accountable

    public final class VersionBlockTreeTermsReader
    extends FieldsProducer

See `VersionBlockTreeTermsWriter`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

### Fields inherited from class org.apache.lucene.index.Fields

`EMPTY_ARRAY`

### Constructor Summary

Constructors
Constructor and Description
`VersionBlockTreeTermsReader(PostingsReaderBase postingsReader, SegmentReadState state)` Sole constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkIntegrity()`
`void` `close()`
`Collection<Accountable>` `getChildResources()`
`Iterator<String>` `iterator()`
`long` `ramBytesUsed()`
`int` `size()`
`Terms` `terms(String field)`
`String` `toString()`

### Methods inherited from class org.apache.lucene.codecs.FieldsProducer

`getMergeInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### VersionBlockTreeTermsReader

    public VersionBlockTreeTermsReader(PostingsReaderBase postingsReader,
                                       SegmentReadState state)
                                throws IOException

Sole constructor.

Throws:
  `IOException`

### Method Detail

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in class `FieldsProducer`
Throws:
  `IOException`

#### iterator

    public Iterator<String> iterator()

Specified by:
  `iterator` in interface `Iterable<String>`
Specified by:
  `iterator` in class `Fields`

#### terms

    public Terms terms(String field)
                throws IOException

Specified by:
  `terms` in class `Fields`
Throws:
  `IOException`

#### size

    public int size()

Specified by:
  `size` in class `Fields`

#### ramBytesUsed

    public long ramBytesUsed()

#### getChildResources

    public Collection<Accountable> getChildResources()

#### checkIntegrity

    public void checkIntegrity()
                        throws IOException

Specified by:
  `checkIntegrity` in class `FieldsProducer`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`